/* Packet.cpp
 * Author: Jeroen van Montfort
 * 
 * +------------Oo.------+
 * | Transport Empire -> |
 * +---------------------+
 * 
 * 
 */

#include "Packet.h"

using TEmpire::Packet;

unsigned int Packet::AddUShort(unsigned short value, unsigned char *buffer, int offset) {
  buffer[offset + 0] = (value & 0xFF00) >> 8;
  buffer[offset + 1] = (value & 0x00FF);
  
  return offset + 2;
}

unsigned int Packet::ParseUShort(unsigned short &value, unsigned char *buffer, int offset) {
  value = buffer[offset] << 8 | buffer[offset + 1];
  
  return offset + 2;
}
