#ifndef __PACKETTYPEID_H__
#define __PACKETTYPEID_H__

/* Packet.h
 * Author: Jeroen van Montfort
 * 
 * +------------Oo.------+
 * | Transport Empire -> |
 * +---------------------+
 * 
 * 
 */

#include "PacketEnumerations.h"

namespace TEmpire {

/* enum Packet type identifiers
 * 
 * Contains all ID's for packets used by Transport Empire. By default, about
 * 60 ID's are used by RakNet. This enum starts at the highest RakNet ID.
 */

enum {
  PCID_MAPREQUEST = ID_RESERVED9,
  PCID_MAPCHUNK,
}; // enum

} // namespace TEmpire

#endif // __PACKETTYPEID_H__
