/* Tile.cpp
 * Author: Jeroen van Montfort
 * 
 * +------------Oo.------+
 * | Transport Empire -> |
 * +---------------------+
 * 
 * 
 */

#include "Tile.h"

// Static variables
std::string Tile::Author = "Hellfire";
std::string Tile::Name = "Tile";
std::string Tile::Abbreviation = "TILE";
long Tile::Count = 0;

// Constructor
Tile::Tile() {
  Count++;
  
  Height = 0;
}

Tile::Tile(unsigned short Height) {
  Tile();
  
  this->Height = Height;
}

// Destructor
Tile::~Tile() {
  Count--;
}
